package com.ruoyi.ai.mapper;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiRebateRecord;

/**
 * 返佣记录Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiRebateRecordMapper extends BaseMapper<AiRebateRecord> {
    int deleteAiRebateRecordByIds(Long[] ids);

    int deleteAiRebateRecordById(Long id);

    List<AiRebateRecord> selectAiRebateRecordList(AiRebateRecord aiRebateRecord);

    BigDecimal getTotalAmount(AiRebateRecord aiRebateRecord);

    List<AiRebateRecord> getAiRebateRecordList(AiRebateRecord aiRebateRecord);
}
